<?php
/**
 PostFinance Checkout Magento 2
 *
 * This Magento 2 extension enables to process payments with PostFinance Checkout (https://postfinance.ch/en/business/products/e-commerce/postfinance-checkout-all-in-one.html).
 *
 * @package PostFinanceCheckout_Payment
 * @author wallee AG (https://postfinance.ch/en/business/products/e-commerce/postfinance-checkout-all-in-one.html)
 * @license http://www.apache.org/licenses/LICENSE-2.0  Apache Software License (ASL 2.0)

 */
namespace PostFinanceCheckout\Payment\Api;

use Magento\Sales\Api\Data\OrderInterface;

/**
 * Interface for PostFinance Checkout order data.
 *
 * @api
 */
interface OrderRepositoryInterface
{

	/**
	 * Get order by Order Increment Id
	 *
	 * @param $incrementId
	 * @return OrderInterface|null
	 */
    public function getOrderByIncrementId($incrementId);

	/**
	 * Get order by Id
	 *
	 * @param string $id
	 * @return OrderInterface|null
	 */
    public function getOrderById($id);
}
